// Copyright (c); 2014-2020 NetEase, Inc.
// All right reserved.

part of room_kit;

/// 在房间里获取美颜控制器实例.
abstract class NEInRoomUserController {
  /// 房间内改名
  /// * @params name 房间内名称
  /// * [NEResult] 回调接口，该回调不会返回额外的结果数据
  Future<NEResult<void>> changeMyName(String name);

  /// 移交主持人
  /// * @params userId 用户userId
  /// * [NEResult] 回调接口，该回调不会返回额外的结果数据
  Future<NEResult<void>> makeHost(String userId);

  /// 移除用户
  /// * @params userId 用户userId
  /// * [NEResult] 回调接口，该回调不会返回额外的结果数据
  Future<NEResult<void>> removeUser(String userId);
}
