// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

class _MeetingInfoRequest {
  /// 会议号
  final String meetingId;

  /// 音视频房间成员uid
  /// 为空，说明要获取所有成员信息
  final int? avRoomUid;

  const _MeetingInfoRequest({required this.meetingId, this.avRoomUid});

  Map get data => {
        'meetingId': meetingId,
        if (avRoomUid != null) 'avRoomUid': avRoomUid,
      };
}
