// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 预约房间状态
enum NERoomItemStatus {
  /// 无效状态
  invalid,

  /// 会议初始状态，没有人入会
  init,

  /// 已开始
  started,

  /// 已结束， 可以再次入会
  ended,

  /// 已取消
  cancel,

  /// 已回收， 不能再次入会
  recycled
}
