// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

abstract class BaseApi<T> {

  String path();

  Map data();

  T result(Map map);

  Map<String, dynamic>? header() => null;

  Future<NEResult<T>> execute();

  bool checkLoginState() => true;
  
  bool enableLog() => true;

}
