// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// chat room receive message
class _ChatRoomReceiveMessageApi extends _NimStreamApi<List<ChatRoomMessage>> {
  _ChatRoomReceiveMessageApi._internal() : super();

  static final _ChatRoomReceiveMessageApi _singleton = _ChatRoomReceiveMessageApi._internal();

  factory _ChatRoomReceiveMessageApi() => _singleton;

  @override
  void _startListen() {
    NimPlugin().getChatRoomObserver().registerReceiveMessage(_notify);
  }

  @override
  void _stopListen() {
    NimPlugin().getChatRoomObserver().unregisterReceiveMessage(_notify);
  }
}
