// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// send chat room message
class ChatRoomSendMessageApi extends NimApi<void> {
  ChatRoomMessage message;

  ChatRoomSendMessageApi(this.message);

  @override
  void _execute(Completer<NEResult<void>> completer) {
    NimPlugin().getChatRoomService().sendMessage(message, false, (int code, data) {
      completer.complete(NEResult(code: code));
    });
  }
}
