// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

class _AnonymousJoinMeetingApi extends HttpApi<AnonymousJoinMeetingInfo> {
  _AnonymousJoinMeetingRequest request;

  _AnonymousJoinMeetingApi(this.request);

  @override
  String path() => '/v1/sdk/meeting/anonymousJoinInfo';

  @override
  Map<String, dynamic> header() => {
    'authorization': HashUtils.md5Hash('${jsonEncode(data())}@163')
  };

  @override
  AnonymousJoinMeetingInfo? result(Map map) =>
      AnonymousJoinMeetingInfo.fromMap({'meetingId': request.meetingId, 'nickName': request.nickName, ...map});

  @override
  Map data() => request.data;
  
}
