// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 获取聊天室link地址
class _FetchRoomLinkApi extends HttpApi<List<String>> {
  String roomId;

  _FetchRoomLinkApi(this.roomId);

  @override
  String path() => '/v1/sdk/meeting/chatRoom/linkAddr';

  @override
  List<String>? result(Map? map) {
    if (map == null) return null;
    var links = map['chatRoomLinks'] as List;
    return links.map<String>((e) => e as String).toList();
  }

  @override
  Map data() => {'chatRoomId': roomId};
}
