// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

class _JoinMeetingApi extends HttpApi<JoinRoomInfo> {
  _JoinMeetingRequest request;

  _JoinMeetingApi(this.request);

  @override
  String path() => '/v1/sdk/meeting/joinInfo';

  @override
  JoinRoomInfo? result(Map map) => JoinRoomInfo.fromMap({'meetingId': request.meetingId, ...map});

  @override
  Map data() => request.data;
}
