// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

class _OnlineStatusApi extends _NimStreamApi<StatusCode> {
  _OnlineStatusApi._internal() : super();

  static final _OnlineStatusApi _singleton = _OnlineStatusApi._internal();

  factory _OnlineStatusApi() => _singleton;

  @override
  void _startListen() {
    NimPlugin().getAuthObserver().registerOnlineStatus(_notify);
  }

  @override
  void _stopListen() {
    NimPlugin().getAuthObserver().unregisterOnlineStatus(_notify);
  }
}
