// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.
part of room_kit;

///房间内云端录制控制器.
class _NEInRoomCloudRecordControllerImpl extends NEInRoomCloudRecordController {
  static const _tag = 'NEInRoomCloudRecordControllerImpl';

  final _InRoomData roomData;

  _NEInRoomCloudRecordControllerImpl(this.roomData);

  @override
  bool isCloudRecordEnabled() {
    var enable = roomData.joinRoomInfo.attendeeRecordOn;
    Alog.i(
        tag: _tag,
        moduleName: _moduleName,
        type: AlogType.api,
        content: 'isCloudRecordEnabled :$enable');
    return enable;
  }
}
