// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

///会议场景定义
class NERoomScene {
  ///角色配置，可配置角色类型、角色类型允许的最大与会人数等
  late List<NEMeetingRoleConfiguration>? roleTypes;

  NERoomScene({this.roleTypes});

  Map toJson() => {
        if (roleTypes != null)
          'roleTypes': roleTypes?.map((e) => e.toJson()).toList(growable: false)
      };

  static NERoomScene? fromMap(Map? map) {
    if (map != null) {
      var members = map['roleTypes'] as List?;
      if(members != null) {
        var roleTypes = members.map((item) {
          return NEMeetingRoleConfiguration.fromJson(item as Map);
        }).toList();

        return roleTypes.isNotEmpty
            ? NERoomScene(roleTypes: roleTypes)
            : null;
      }
    }
  }
}
