// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// exit chat room
class ChatRoomExitApi extends NimApi<void> {
  String roomId;

  ChatRoomExitApi(this.roomId);

  @override
  void _execute(Completer<NEResult<void>> completer) {
    NimPlugin().getChatRoomService().exitChatRoom(roomId);
    completer.complete(NEResult(code: 200));
  }
}
