// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// enter chat room
class ChatRoomUpdateRoleApi extends NimApi<void> {
  String roomId;

  ChatRoomMemberUpdate memberUpdate;

  ChatRoomUpdateRoleApi(this.roomId, this.memberUpdate);

  @override
  void _execute(Completer<NEResult<void>> completer) {
    NimPlugin().getChatRoomService().updateMyRoomRole(roomId, memberUpdate, false, {}, (int code, void _){
      completer.complete(NEResult(code: code));
    });
  }
}
