// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 删除预约会议
class _GetMeetingItemByIdApi extends HttpApi<NERoomItem> {
  int meetingUniqueId;

  _GetMeetingItemByIdApi(this.meetingUniqueId);

  @override
  String path() => '/v1/sdk/meeting/schedule/get';

  @override
  NERoomItem result(Map map) {
    return NERoomItem.fromJson(map);
  }

  @override
  Map data() => {'meetingUniqueId': meetingUniqueId};
}
