// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 删除预约会议
class _GetMeetingListByStatusApi extends HttpApi<List<NERoomItem>> {
  List<NERoomItemStatus>? status;

  _GetMeetingListByStatusApi(this.status);

  @override
  String path() => '/v1/sdk/meeting/schedule/list';

  @override
  List<NERoomItem>? result(Map? map) {
    if (map == null) return null;
    var links = map['meetingList'] as List;
    return links.map<NERoomItem>((e) => NERoomItem.fromJson(e as Map)).toList();
  }

  @override
  Map data() => {if (status != null) 'statusList': status!.map((e) => e.index).toList()};
}
