// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 获取用户信息配置
class _GetSettingsApi extends HttpApi<AccountSettings> {

  @override
  String path() => '/v1/sdk/account/settings/get';

  @override
  AccountSettings result(Map map) {
    return AccountSettings.fromMap(map as Map<String, dynamic>);
  }

  @override
  Map data() => {};
}
