// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

class _LoginWithTokenApi extends HttpApi<_LoginResponse> {
  _LoginWithTokenRequest request;

  _LoginWithTokenApi(this.request);

  @override
  Map data() => request.data;

  @override
  Map<String, dynamic> header() => {
    'accountToken': request.accountToken,
    'accountId': request.accountId,
  };

  @override
  String path() => '/v1/sdk/account/login';

  @override
  _LoginResponse result(Map map) => _LoginResponse.fromMap(map);

  @override
  bool checkLoginState() => false;

  @override
  bool enableLog() => false;
}
