// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 成员发起会控操作
///
/// 接口说明:
/// * 成员自己变更(音)视频状态，向会议成员广播消息
/// * 主持人修改自身状态时调用此接口，当修改user为主持人时，action为打开自己video时，可以将video的状态从3改为1.普通成员则没有此权限
/// * 被操控对象需要在会议中
class _MemberControlApi extends NimPassthroughApi<void> {
  _MemberControlRequest request;

  _MemberControlApi(this.request);

  @override
  String path() => '/v1/sdk/meeting/control/member';

  @override
  void result(Map map) => null;

  @override
  Map data() => request.data;
}
