// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

abstract class NimApi<T> extends BaseApi {
  @override
  Map data() {
    return {};
  }

  @override
  Future<NEResult> execute() {
    var completer = Completer<NEResult<T>>();
    _execute(completer);
    return completer.future;
  }

  void _execute(Completer<NEResult<T>> completer);

  @override
  String path() {
    return '';
  }

  @override
  T? result(Map<dynamic, dynamic> map) {
    return null;
  }
}
