// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

/// 直播服务
class LiveRepository {
  ///
  /// 开始直播
  static Future<NEResult<NERoomItemLive>> startLive(NERoomItemLive live) => NimApiHelper._startLive(live);

  /// 更新直播
  static Future<NEResult<NERoomItemLive>> updateLive(NERoomItemLive live) => NimApiHelper._updateLive(live);

  /// 结束直播
  static Future<NEResult<NERoomItemLive>> stopLive(String meetingId) => NimApiHelper._stopLive(meetingId);
}
