// Copyright (c) 2014-2020 NetEase, Inc.
// All right reserved.

part of room_service;

class UserProfile {
  /// self uid
  static String? get accountId => _AuthManager().accountId;

  /// display name
  static String? displayName;

  /// auth token
  static String? get accountToken  => _AuthManager().accountToken;

  /// meeting app key
  static String get appKey => _AuthManager().appKey;

  /// nrtc app key
  static String? get nrtcAppKey => _AuthManager().nrtcAppKey;

  /// im app key
  static String? get imAppKey => _AuthManager().imAppKey;

  static String? get imAccid  => _AuthManager().imAccid;

  static String? get imToken => _AuthManager().imToken;

  /// self meeting id
  static String? get meetingId => _AuthManager().personalMeetingId;

  /// self nickname，目前仅对外接口[_NEAccountServiceImpl.getAccountInfo()]使用
  static String? get nickname => _AuthManager().nickname;

  /// self short id
  static String? get shortId => _AuthManager().shortId;

  /// last av room cname
  static int? lastChannelId;

  /// last meeting id
  static String? lastMeetingId;

  /// is anonymous user
  static bool isAnonymous = false;
}
